std::set::~set(3)

NAME
std::set::~set - std::set::~set

Synopsis
   ~set();
   Destructs the set. The destructors of the elements are called and the used storage
   is deallocated. Note, that if the elements are pointers, the pointed-to objects are
   not destroyed.

Complexity
   Linear in the size of the set.